PojoEndpointClient (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.websocket.pojo

## Class PojoEndpointClient

- java.lang.Object
- - javax.websocket.Endpoint
  - - org.apache.tomcat.websocket.pojo.PojoEndpointBase
    - - org.apache.tomcat.websocket.pojo.PojoEndpointClient

-     public class PojoEndpointClient
      extends PojoEndpointBase

  Wrapper class for instances of POJOs annotated with `ClientEndpoint` so they appear as standard `Endpoint` instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PojoEndpointClient(Object pojo, List<Class<? extends Decoder>> decoders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onOpen(Session session, EndpointConfig config)` Event that is triggered when a new session starts.

    - ### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoEndpointBase

      `doOnOpen, getMethodMapping, getPathParameters, getPojo, onClose, onError, setMethodMapping, setPathParameters, setPojo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PojoEndpointClient

          public PojoEndpointClient(Object pojo,
                                    List<Class<? extends Decoder>> decoders)
                             throws DeploymentException

      Throws:
        `DeploymentException`

  - ### Method Detail

    - #### onOpen

          public void onOpen(Session session,
                             EndpointConfig config)

      Description copied from class: `javax.websocket.Endpoint`
      Event that is triggered when a new session starts.
      Specified by:
        `onOpen` in class `Endpoint`
      Parameters:
        `session` - The new session.
        `config` - The configuration with which the Endpoint was configured.

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.